Apache2‧PHP 5 簡易安裝導覽文 – 於 Microsoft Windows XP Professional SP2 64bit / Server 2008 R2 Enterprise 平台上簡易安裝 Apache 2.2.17‧PHP 5.3.5‧MySQL 5.5.8‧‧‧當然 phpMyAdmin 3.3.9 是一定要滴囉 ;)

Which version do I choose? 我該選擇哪個版本

  • 如果您的 PHP 是架構在官方 Apache1, Apache2 版本的平台下,您必須選擇 VC6 版本的 PHP
  • 如果您的 PHP 是架構在 IIS 的平台下,您應該選擇 VC9 版本的 PHP
  • PHP VC6 的版本是由 Visual Studio 6 編譯而成
  • PHP VC9 的版本是由 Visual Studio 2008 編譯而成,提升了性能與穩定性‧使用 VC9 版本的電腦上必需安裝 Microsoft 2008 C++ Runtime(x86) 或 Microsoft 2008 C++ Runtime(x64)
  • 不要拿 VC9 的版本與 Apache 二進制版本一齊使用

    此為 PHP 官網http://windows.php.net/download/ 左側邊攔擷圖,橘色勾勾處的大意則如上述

本文目地主為實測新版 PHP 及 MySQL 與軟體平台的相容性並資料庫升級的可行性,內容為筆者以 Apache 2.0 Handler 方式來安裝 PHP,因為實測結果成功且其步驟並不困難故撰文於此供大家參考‧所有引用圖文如有錯誤或交代不清楚的地方亦歡迎朋友們不吝賜教

測試平台:

  • Microsoft Windows XP SP2 64bit‧Server 2008 R2 Enterprise

準備工具:

簡易安裝步驟:

  1. 安裝 MySQL 5.5.8 x64
    圖文版參考→於 Microsoft Server 2008 R2 Enterprise 中文版上安裝 MySQL 5.5.8 Winx64

  2. 安裝 Apache HTTP Server 2.2.17
    圖文版參考→於 Microsoft Windows XP Professional SP2 64bit / Server 2008 R2 Enterprise 平台上簡易安裝 Apache HTTP Server 2.2.17 | Angel 3.Blue Station

  3. 安裝 PHP 5.3.5 VC6 x86 Thread Safe
    圖文版參考→於 Microsoft Windows XP Professional SP2 64bit / Server 2008 R2 Enterprise 平台上簡易安裝 PHP 5.3.5 ( for Apache HTTP Server 2.2.17 )

  4. 使用 phpinfo 測試 php 與 Apache2 並新增 phpMyAdmin 資料庫管理站台
    圖文版參考→於 Apache HTTP Server 2.2.17 設定 phpMyAdmin 3.3.9 資料庫管理站台




※P‧S※

  • 依照簡易安裝步驟一步一步走金岡定安裝成工力‧順序顛倒則安裝失貝攵的機率會‧‧‧木目當大 :sleep_tb:
  • 本文使用 Microsoft Windows XP Professional SP2 64bit 及 Server 2008 R2 Enterprise 平台實測‧如您僅需 Web Server‧建議使用 XP 64bit 架構即可
  • 本文實測成功木目關網頁資料庫軟體:WordPress 3.0.4 ( EN / TW )‧phpMyAdmin 3.3.9 All languages


1 回覆

撰寫迴響

哥林多前書 13:4-8

發表迴響

你的電子郵件位址並不會被公開。 必要欄位標記為 *